org.mariadb.jdbc.internal.common.query.parameters

## Class ParameterWriter

- java.lang.Object
- - org.mariadb.jdbc.internal.common.query.parameters.ParameterWriter

    public class ParameterWriter
    extends Object

Helper class for serializing query parameters

### Constructor Summary

Constructors
Constructor and Description
`ParameterWriter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `write(OutputStream out, BigDecimal bd)`
`static void` `write(OutputStream out, byte[] bytes, boolean noBackslashEscapes)`
`static void` `write(OutputStream out, double d)`
`static void` `write(OutputStream out, InputStream is, boolean noBackslashEscapes, boolean isText)`
`static void` `write(OutputStream out, InputStream is, long length, boolean noBackslashEscapes, boolean isText)`
`static void` `write(OutputStream out, int i)`
`static void` `write(OutputStream out, long l)`
`static void` `write(OutputStream out, Reader reader, boolean noBackslashEscapes)`
`static void` `write(OutputStream out, Reader reader, long length, boolean noBackslashEscapes)`
`static void` `write(OutputStream out, String s, boolean noBackslashEscapes)`
`static void` `writeDate(OutputStream out, Calendar calendar)`
`static byte[]` `writeLittleEndian(int value)`
`static void` `writeObject(OutputStream out, Object o, boolean noBackslashEscapes)`
`static void` `writeTime(OutputStream out, Time time, Calendar calendar, boolean writeFractionalSeconds)`
`static void` `writeTimestamp(OutputStream out, Timestamp ts, Calendar calendar, boolean writeFractionalSeconds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterWriter

    public ParameterWriter()

### Method Detail

#### write

    public static void write(OutputStream out,
                             byte[] bytes,
                             boolean noBackslashEscapes)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             String s,
                             boolean noBackslashEscapes)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             InputStream is,
                             boolean noBackslashEscapes,
                             boolean isText)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             InputStream is,
                             long length,
                             boolean noBackslashEscapes,
                             boolean isText)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             Reader reader,
                             boolean noBackslashEscapes)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             Reader reader,
                             long length,
                             boolean noBackslashEscapes)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             int i)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             long l)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             double d)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(OutputStream out,
                             BigDecimal bd)
                      throws IOException

Throws:
  `IOException`

#### writeDate

    public static void writeDate(OutputStream out,
                                 Calendar calendar)
                          throws IOException

Throws:
  `IOException`

#### writeTimestamp

    public static void writeTimestamp(OutputStream out,
                                      Timestamp ts,
                                      Calendar calendar,
                                      boolean writeFractionalSeconds)
                               throws IOException

Throws:
  `IOException`

#### writeTime

    public static void writeTime(OutputStream out,
                                 Time time,
                                 Calendar calendar,
                                 boolean writeFractionalSeconds)
                          throws IOException

Throws:
  `IOException`

#### writeObject

    public static void writeObject(OutputStream out,
                                   Object o,
                                   boolean noBackslashEscapes)
                            throws IOException

Throws:
  `IOException`

#### writeLittleEndian

    public static byte[] writeLittleEndian(int value)